#!/bin/sh

####################################################################
# $Id: diagnostics.cgi,v 1.2 2002/10/07 13:15:02 matt Exp matt $
####################################################################

echo "Pragma: no-cache"
echo "Content-Type: text/plain"
echo 

####################################################################

USERNAME="mgream"
HOSTNAME="matthewgream.net"
WEBLOGS="/etc/httpd/domlogs/$HOSTNAME"
WEBDIRS="$DOCUMENT_ROOT"
ROOT_DIR="/home/mgream"

####################################################################

ROOT_FILES="`ls -A $ROOT_DIR`"

####################################################################

exec_it() {
	_NAME=$1
	_PROG=`which $2`
	_ARGS=$3
	_PROC=$4
	echo '-----------------------------------------------'
	echo 
	echo $_NAME
	echo $_PROG $_ARGS
	echo 
	$_PROG $_ARGS | $_PROC
	echo 
}

####################################################################

cd $ROOT_DIR

exec_it "HOST INFORMATION"		uname 	"-a" 				"cat"
exec_it "HOST STATISTICS"		uptime 	"" 					"cat"

exec_it "USER INFORMATION"		finger 	"$USERNAME" 		"cat"
exec_it "USER HISTORY"			last 	"-10 $USERNAME" 	"grep $USERNAME"
exec_it "USER QUOTA"			quota	"-uv $USERNAME"		"cat"
exec_it "USER ENVIRONMENT"      env     ""                  "cat"

exec_it "WEB LOGS"				ls 		"-lAk $WEBLOGS" 	"cat" 
exec_it "WEB USAGE"				du		"-hs $WEBDIRS"		"cat"

exec_it "FILES LIST"			ls 		"-lAk $ROOT_DIR" 	"cat"
exec_it "FILES USAGE"			du 		"-hc $ROOT_DIR" 	"cat"

####################################################################

exit 0

